# Variations on Rockdodger 0.5.8

VoR is a quick action game where you drive a space ship and try to avoid
crashing into rocks. Current information about vor can be found on the
homepage: https://sametwice.com/vor

Here are the keys:

     Space: Start playing
         1: Switch to easy mode and start playing
         2: Switch to normal mode (default) and start playing
    Arrows: Steer (use short taps, and remember to slow down)
       Esc: Quit
         F: Toggle full-screen mode
         P: Pause/unpause
         3: Save a screenshot

See INSTALL for instructions on building, running and installing.

VoR is released under the GNU GPL -- see file COPYING for details. The audio is
public domain.

Jason Woofenden and Josh Grams like Rock Dodgers (a game by Paul Holt:
http://spacerocks.sourceforge.net/) very much: both playing it and hacking on
it. VoR is the result. It is currently based on the rockdodger 0.4.2 codebase,
with quite a few modifications, both user-visible changes and internal
technical improvements.

Available for download from https://sametwice.com/vor

Note: This is a fairly hard game, intended to be a quickie game for when you
want to kill a few spare minutes. For reference, my best time [Josh Grams] is
about 2 minutes in version 0.3. I'm not generally very good at video games, but
I have been playing this one for quite a while now.


## Changes from Rock Dodgers

User-Visible Changes:

0.5.6:
  * Some rocks disappear when hit by your exploding ship sparks

0.5.4:
  * new sound effect and music
  * F key toggles full-screen mode
  * 3 key saves a screenshot

0.5.3:
  * another attempt at fixing the x86 crashes.
  * made valgrind happy.

0.5.2:
  * another attempt at fixing the x86 crashes.

0.5.1:
  * another attempt at fixing the x86 crashes.

0.5:
  * lots of bug fixes
  * tweaks to engine and explosion graphics and new font

0.4:
  * Rocks now bounce off each other, and are pushed by particles.
  * Now with two difficulties: normal and easy.
  * Better new ship placement after you die.

0.3:
  * Scrolls to the right so you can zoom ahead.
  * Fully random rock generation; rocks no longer wrap vertically.
  * Rocks' relative speeds are now uniform in all directions (i.e. much more
    up/down speed variation).  Noticeably hard...err...more "interesting".
  * Command-line option --game-speed.

0.2:
  * New graphics, generated by POV-Ray. Yeah, okay, the ship is really cheesy.
    At least the rocks are cool.
  * Real collision detection; no more "ship is 1 pixel bigger all around
    than it looks."

0.1:
  * Moves like a real spacecraft; no more friction!
  * No more silly shields or lasers; just pure rockdodgin' fun!
  * Up/down scrolling; gives you more escape options.
  * Proper time display for score, not just raw milliseconds (bleh).
  * Ship explodes, blowing rocks away, rather than automagically vanishing
    them.

Internal Technical Changes:

  * Build system now uses autoconf (as of 0.5.5)
  * Replaced SFont with Jason's font.c
  * Started factoring a lot of stuff out of main into their own .c files.
  * Removed a bunch of unused code.
  * Function definitions: name at beginning of line (line following the return
    type) for easy grepping as per GNU coding standards.
  * Real collision detection (bbox/bitmask).
